//------------------------------------------------------------------------------
// Copyright 2021 H2O.ai
//
// Permission is hereby granted, free of charge, to any person obtaining a
// copy of this software and associated documentation files (the "Software"),
// to deal in the Software without restriction, including without limitation
// the rights to use, copy, modify, merge, publish, distribute, sublicense,
// and/or sell copies of the Software, and to permit persons to whom the
// Software is furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
// IN THE SOFTWARE.
//------------------------------------------------------------------------------
#ifndef dt_DOCUMENTATION_h
#define dt_DOCUMENTATION_h
namespace dt {


extern const char* doc_dt_as_type;
extern const char* doc_dt_cbind;
extern const char* doc_dt_corr;
extern const char* doc_dt_cov;
extern const char* doc_dt_cut;
extern const char* doc_dt_ifelse;
extern const char* doc_dt_qcut;
extern const char* doc_dt_rbind;
extern const char* doc_dt_shift;
extern const char* doc_dt_split_into_nhot;

extern const char* doc_math_isclose;
extern const char* doc_math_round;

extern const char* doc_re_match;

extern const char* doc_str_len;
extern const char* doc_str_slice;
extern const char* doc_str_split_into_nhot;

extern const char* doc_Frame;
extern const char* doc_Frame___init__;
extern const char* doc_Frame___sizeof__;
extern const char* doc_Frame_cbind;
extern const char* doc_Frame_colindex;
extern const char* doc_Frame_copy;
extern const char* doc_Frame_countna1;
extern const char* doc_Frame_countna;
extern const char* doc_Frame_export_names;
extern const char* doc_Frame_head;
extern const char* doc_Frame_key;
extern const char* doc_Frame_kurt1;
extern const char* doc_Frame_kurt;
extern const char* doc_Frame_ltypes;
extern const char* doc_Frame_materialize;
extern const char* doc_Frame_max1;
extern const char* doc_Frame_max;
extern const char* doc_Frame_mean1;
extern const char* doc_Frame_mean;
extern const char* doc_Frame_meta;
extern const char* doc_Frame_min1;
extern const char* doc_Frame_min;
extern const char* doc_Frame_mode1;
extern const char* doc_Frame_mode;
extern const char* doc_Frame_names;
extern const char* doc_Frame_ncols;
extern const char* doc_Frame_nmodal1;
extern const char* doc_Frame_nmodal;
extern const char* doc_Frame_nrows;
extern const char* doc_Frame_nunique1;
extern const char* doc_Frame_nunique;
extern const char* doc_Frame_rbind;
extern const char* doc_Frame_replace;
extern const char* doc_Frame_sd1;
extern const char* doc_Frame_sd;
extern const char* doc_Frame_shape;
extern const char* doc_Frame_skew1;
extern const char* doc_Frame_skew;
extern const char* doc_Frame_sort;
extern const char* doc_Frame_source;
extern const char* doc_Frame_stype;
extern const char* doc_Frame_stypes;
extern const char* doc_Frame_sum1;
extern const char* doc_Frame_sum;
extern const char* doc_Frame_tail;
extern const char* doc_Frame_to_arrow;
extern const char* doc_Frame_to_csv;
extern const char* doc_Frame_to_dict;
extern const char* doc_Frame_to_jay;
extern const char* doc_Frame_to_list;
extern const char* doc_Frame_to_numpy;
extern const char* doc_Frame_to_pandas;
extern const char* doc_Frame_to_tuples;
extern const char* doc_Frame_type;
extern const char* doc_Frame_types;
extern const char* doc_Frame_view;




}  // namespace dt
#endif
